Debian Bug report logs - #199341
lintian: check for menu-icon-has-bad-colors should be removed

version graph

Package: lintian; Maintainer for lintian is Debian Lintian Maintainers <lintian-maint@debian.org>; Source for lintian is src:lintian.

Reported by: Andreas Tille <tillea@rki.de>

Date: Mon, 30 Jun 2003 08:03:01 UTC

Severity: normal

Tags: confirmed

Merged with 206075

Found in version 1.22.8.1

Fixed in version lintian/1.22.11

Done: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Josip Rodin <joy-packages@debian.org>:
Bug#199341; Package lintian. Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tillea@rki.de>:
New Bug report received and forwarded. Copy sent to Josip Rodin <joy-packages@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Tille <tillea@rki.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lintian: check for menu-icon-has-bad-colors should be removed
Date: Mon, 30 Jun 2003 09:50:43 +0200
Package: lintian
Version: 1.22.8.1
Severity: normal

Hello,

accoring to

/usr/share/doc/menu/changelog.Debian

menu (2.1.8-2) unstable; urgency=low

  ...
  * No more require icons to use the colors from cmap.xpm.
    Closes:#193231, #175430, #192218, #97080
  * No more install cmap.xpm. Closes:#172092

this check should be removed.

Kind regards and thanks for maintaining this useful package

     Andreas.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux wr-linux02 2.4.20 #1 Don Mär 27 09:46:16 CET 2003 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (ignored: LC_ALL set)

Versions of packages lintian depends on:
ii  binutils                 2.14.90.0.4-0.1 The GNU assembler, linker and bina
ii  diffstat                 1.32-1          produces graph of changes introduc
ii  file                     4.02-4          Determines file type using "magic"
ii  man-db                   2.4.1-8         The on-line manual pager
ii  perl                     5.8.0-17        Larry Wall's Practical Extraction 

-- no debconf information




Merged 199341 206075. Request was from Frank Lichtenheld <frank@lichtenheld.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from "www.wolffelaar.nl" <www-data@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Tille <tillea@rki.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #16 received at 199341-close@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 199341-close@bugs.debian.org
Subject: Bug#199341: fixed in lintian 1.22.11
Date: Sun, 22 Feb 2004 19:47:07 -0500
Source: lintian
Source-Version: 1.22.11

We believe that the bug you reported is fixed in the latest version of
lintian, which is due to be installed in the Debian FTP archive:

lintian_1.22.11.dsc
  to pool/main/l/lintian/lintian_1.22.11.dsc
lintian_1.22.11.tar.gz
  to pool/main/l/lintian/lintian_1.22.11.tar.gz
lintian_1.22.11_all.deb
  to pool/main/l/lintian/lintian_1.22.11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 199341@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar <jeroen@wolffelaar.nl> (supplier of updated lintian package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 16 Feb 2004 21:17:59 +0100
Source: lintian
Binary: lintian
Architecture: source all
Version: 1.22.11
Distribution: unstable
Urgency: low
Maintainer: Debian Lintian Maintainers <lintian-maint@debian.org>
Changed-By: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Description: 
 lintian    - Debian package checker
Closes: 188095 189776 190067 190067 194257 194787 195201 198611 199341 200046 200802 202856 207529 208945 210576 214949 215234 217384 222648 225293 225837 230182 231884 232875
Changes: 
 lintian (1.22.11) unstable; urgency=low
 .
   Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
    * Upgrade lintian itself to policy 3.6.1
      + Drop question about removing lab on purge, just do it.
    * Update to Debian Policy 3.6.1, all references broken by
      section-reorganization are updated (Closes: #194257, #208945, #214949,
      also closes: #217384, #231884)
      (Patch by Nicholas Breen <nbreen@ofb.net>)
    * Support for dash scripts (Closes: #194787)
      (Patch by Frank Lichtenheld <djpig@debian.org>)
    * checks/binaries.desc:
      + Fix typo (Closes: #202856)
    * checks/deb-format, debian/control:
      + Rewrite by Denis Barbier, slightly cleaned up, renders
        libarchive-tar-perl dependency unneeded (Closes: #232875)
    * checks/filenames (and more):
      + Check for Subversion version control leftovers (Closes: #190067)
      + Ignore empty __init__.py files in /usr/share/doc (Closes: #215234)
        (based on patch by Frank Lichtenheld <djpig@debian.org>)
    * checks/cruft:
      + Check for CVS and Subversion cruft in source packages (Closes: #189776,
        also closes: #190067)
    * checks/po-debconf
      + Rewrite in Perl
      + Obsolete PO files are no more checked because po2debconf now
        automatically runs debconf-updatepo if PO files are older than
        templates files.  Of course PO files might be outdated (e.g. when
        downloaded from a BR), but it should occur seldom.
      + PO files are processed through msgfmt to ensure they are valid.
      + Based on patch by Denis Barbier <barbier@debian.org>, Closes: #210576
      + Check whether po-debconf is used at all, and warn if it isn't
      + Check for required POTFILES.in and template.pot in debian/po
    * checks/menu-format
      + Drop menu-icon-has-bad-colors, it doesn't apply anymore (Closes: #199341)
      + Menu sub-policy 3.6.0 added two sections (Closes: #207529)
      + Added three checks for correct su-to-root usage (Closes: #188095)
      + Understand icon32x32 and icon16x16 (Closes: #200046)
      + Missing required tags are now an error (and check name changed)
      + Check tag-quotation
      + Rewrite needs check properly, being more precise what is allowed
      + Complain about needs="dwww", as this is obsolete accordint to menu
        maintainer
        (parts menu-format updates based on patch by Bill Allombert
        <ballombe@debian.org>)
    * checks/scripts
      + Recognise the 'tcl' interpreter, not the same as tclsh (Closes: #230182)
 .
   Frank Lichtenheld <djpig@debian.org>
    * checks/debhelper:
      + fix parsing debian/compat for needed
        version (Closes: #198611)
      + update list of existing debhelper commands
    * checks/manpages:
      + push back the extension after testing for
        manpage-not-compressed (Closes: #225293)
    * checks/copyright-file: don't complain about missing reference to
       the GPL if we already detected a wrong reference (Closes: #225837)
    * checks/debconf:
      + don't complain about partially-translated-question, if
        Choices is only a substitution variable (Closes: #200802,#222648)
      + fix testing of dependencies to eliminate false
        positives of missing-debconf-dependency (Closes: #195201)
Files: 
 3f3c6b214c5ce74e323e29d9ff803573 751 devel optional lintian_1.22.11.dsc
 4b14cb168dbf4b0827be3d8151c0d491 226987 devel optional lintian_1.22.11.tar.gz
 e36486cdd941d04a9bfcff817806cd17 187176 devel optional lintian_1.22.11_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.2 (GNU/Linux)
Comment: Colin Watson <cjwatson@debian.org> -- Debian developer

iD8DBQFAOUwM9t0zAhD6TNERAvP4AJ4gR7K5fXCFl7PJtE6jP9sTw9r9KwCdH0MY
Et5CQHGa+GzJnvWRsy9HXv4=
=Hv0z
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:23:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.